LibOFX: ofx_request_statement.hh Source File

Main Page | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# fx-0.8.0/lib/ofx_request_statement.hh

Go to the documentation of this file.

    00001 /***************************************************************************
    00002                           ofx_request_statement.hh
    00003                              -------------------
    00004     copyright            : (C) 2005 by Ace Jones
    00005     email                : acejones@users.sourceforge.net
    00006 ***************************************************************************/
    00011 /***************************************************************************
    00012  *                                                                         *
    00013  *   This program is free software; you can redistribute it and/or modify  *
    00014  *   it under the terms of the GNU General Public License as published by  *
    00015  *   the Free Software Foundation; either version 2 of the License, or     *
    00016  *   (at your option) any later version.                                   *
    00017  *                                                                         *
    00018  ***************************************************************************/
    00019
    00020 #ifndef OFX_REQ_STATEMENT_H
    00021 #define OFX_REQ_STATEMENT_H
    00022
    00023 #include <string>
    00024 #include "libofx.h"
    00025 #include "ofx_request.hh"
    00026
    00027 using namespace std;
    00028
    00037 class OfxStatementRequest: public OfxRequest
    00038 {
    00039 public:
    00049   OfxStatementRequest( const OfxFiLogin& fi, const OfxAccountInfo& account, time_t from );
    00050
    00051 protected:
    00059   OfxAggregate BankStatementRequest(void) const;
    00060
    00068   OfxAggregate CreditCardStatementRequest(void) const;
    00069
    00077   OfxAggregate InvestmentStatementRequest(void) const;
    00078
    00079 private:
    00080   OfxAccountInfo m_account;
    00081   time_t m_date_from;
    00082 };
    00083
    00084 #endif // OFX_REQ_STATEMENT_H